<?php
#	Crucial elements for an item are: 
#	dc:title		The title of the item
#	upnp:class		The media class of the item (see below)
#	res				This is the actual location of the file (either remote "http://someserver.com/file.avi" or local "file:///pathOnWDTV/file.avi")
#	protocolInfo	The media protocol. Syntax is very important or the WDTV will just reset. Refer to /docs/wdtv-mediaprotocols.txt
#					The server reply "content-type" seems to be more relevant than any setting here.
#					Setting '*:*:*:*' seems to work in some/most? cases.
#
#	Play around with the other stuff ;)
#
# UPnP classes:
# object.item.audioItem
# object.item.imageItem
# object.item.videoItem
# object.item.playlistItem	not recognized by WDTV?
# object.item.textItem		not recognized by WDTV?
# object.container			WDTLV will send a browse request for this item when you enter it.



# Copy and repeat:
#------------------------------
$myMediaItems[] = array(	
	'id'			=> 'umsp://local/',	#Attribute of item
	'parentID'		=> '0',							#Attribute of item
	'restricted'	=> '1',							#Attribute of item
	'dc:creator'	=> 'myCreator',
	'dc:title'		=> 'LOCAL',
	'dc:date'		=> '2009-12-30',
	'upnp:author'	=> 'myAuthor',
	'upnp:artist'	=> 'myArtist',
	'upnp:album'	=> 'myAlbum',
	'upnp:genre'	=> 'myGenre',
	'upnp:length'	=> '2:10:20',
	'desc'			=> 'myDesc',
	'upnp:class'	=> 'object.container',
	'upnp:album_art'=> '',
	'duration'		=> 'myDur3',				#Attribute of res
	'size'			=> 'mySize3',				#Attribute of res in bytes
	'bitrate'		=> 'myBitr',				#Attribute of res
	'protocolInfo'	=> '*:*:*:*',		#Attribute of res
	'resolution'	=> 'myReso',				#Attribute of res
	'colorDepth'	=> 'myColor',				#Attribute of res
);
#------------------------------
$myMediaItems[] = array(	
	'id'			=> 'umsp://plugins/shoutcast',	#Attribute of item
	'parentID'		=> '0',							#Attribute of item
	'restricted'	=> '1',							#Attribute of item
	'dc:creator'	=> 'myCreator',
	'dc:title'		=> 'Shoutcast',
	'dc:date'		=> '2009-12-30',
	'upnp:author'	=> 'myAuthor',
	'upnp:artist'	=> 'myArtist',
	'upnp:album'	=> 'myAlbum',
	'upnp:genre'	=> 'myGenre',
	'upnp:length'	=> '2:10:20',
	'desc'			=> 'myDesc',
	'upnp:class'	=> 'object.container',
	'upnp:album_art'=> '',
	'res'			=> '',
	'duration'		=> 'myDur3',				#Attribute of res
	'size'			=> 'mySize3',				#Attribute of res in bytes
	'bitrate'		=> 'myBitr',				#Attribute of res
	'protocolInfo'	=> '*:*:*:*',		#Attribute of res
	'resolution'	=> 'myReso',				#Attribute of res
	'colorDepth'	=> 'myColor',				#Attribute of res
);
#------------------------------
$myMediaItems[] = array(	
	'id'			=> 'umsp://plugins/apple-trailers',	#Attribute of item
	'parentID'		=> '0',							#Attribute of item
	'restricted'	=> '1',							#Attribute of item
	'dc:creator'	=> 'myCreator',
	'dc:title'		=> 'Apple-Trailers',
	'dc:date'		=> '2009-12-30',
	'upnp:author'	=> 'myAuthor',
	'upnp:artist'	=> 'myArtist',
	'upnp:album'	=> 'myAlbum',
	'upnp:genre'	=> 'myGenre',
	'upnp:length'	=> '2:10:20',
	'desc'			=> 'myDesc',
	'upnp:class'	=> 'object.container',
	'upnp:album_art'=> '',
#	'res'			=> '',
	'duration'		=> 'myDur3',				#Attribute of res
	'size'			=> 'mySize3',				#Attribute of res in bytes
	'bitrate'		=> 'myBitr',				#Attribute of res
#	'protocolInfo'	=> '*:*:video/avi:*',		#Attribute of res
	'protocolInfo'	=> '*:*:*:*',		#Attribute of res
	'resolution'	=> 'myReso',				#Attribute of res
	'colorDepth'	=> 'myColor',				#Attribute of res
);
#------------------------------
$myMediaItems[] = array(	
	'id'			=> 'umsp://plugins/sysinfo',	#Attribute of item
	'parentID'		=> '0',							#Attribute of item
	'restricted'	=> '1',							#Attribute of item
	'dc:creator'	=> 'myCreator',
	'dc:title'		=> 'System Info',
	'dc:date'		=> '2009-12-30',
	'upnp:author'	=> 'myAuthor',
	'upnp:artist'	=> 'myArtist',
	'upnp:album'	=> 'myAlbum',
	'upnp:genre'	=> 'myGenre',
	'upnp:length'	=> '2:10:20',
	'desc'			=> 'myDesc',
	'upnp:class'	=> 'object.container',
	'upnp:album_art'=> '',
#	'res'			=> '',
	'duration'		=> 'myDur3',				#Attribute of res
	'size'			=> 'mySize3',				#Attribute of res in bytes
	'bitrate'		=> 'myBitr',				#Attribute of res
#	'protocolInfo'	=> '*:*:video/avi:*',		#Attribute of res
	'protocolInfo'	=> '*:*:*:*',		#Attribute of res
	'resolution'	=> 'myReso',				#Attribute of res
	'colorDepth'	=> 'myColor',				#Attribute of res
);
#------------------------------
$myMediaItems[] = array(	
	'id'			=> strval(count($myMediaItems)+1),	#Attribute of item
	'parentID'		=> '0',							#Attribute of item
	'restricted'	=> '0',							#Attribute of item
	'dc:creator'	=> 'myCreator',
	'dc:title'		=> 'Shoutcast: Groove Salad',
	'dc:date'		=> '2009-12-30',
	'upnp:author'	=> 'myAuthor',
	'upnp:artist'	=> 'myArtist',
	'upnp:album'	=> 'myAlbum',
	'upnp:genre'	=> 'myGenre',
	'upnp:length'	=> '2:10:20',
	'desc'			=> 'myDesc',
	'upnp:class'	=> 'object.item.audioItem',
	'upnp:album_art'=> 'http://127.0.0.1/umsp/media/GrooveSaladBox.jpg',
	'res'			=> 'http://127.0.0.1/umsp/plugins/shoutcast-proxy.php?stream_url=http%3A%2F%2Fscfire-dtc-aa07.stream.aol.com%3A80%2Fstream%2F1018',
	'duration'		=> 'myDur3',				#Attribute of res
	'size'			=> 'mySize3',				#Attribute of res in bytes
	'bitrate'		=> 'myBitr',				#Attribute of res
	'protocolInfo'	=> 'http-get:*:audio/x-mpegurl:*',		#Attribute of res
	'resolution'	=> 'myReso',				#Attribute of res
	'colorDepth'	=> 'myColor',				#Attribute of res
);
#------------------------------
$myMediaItems[] = array(	
	'id'			=> strval(count($myMediaItems)+1),	#Attribute of item
	'parentID'		=> '0',							#Attribute of item
	'restricted'	=> '0',							#Attribute of item
	'dc:creator'	=> 'myCreator',
	'dc:title'		=> 'Video Cube',
	'dc:date'		=> '2009-12-30',
	'upnp:author'	=> 'myAuthor',
	'upnp:artist'	=> 'myArtist',
	'upnp:album'	=> 'myAlbum',
	'upnp:genre'	=> 'myGenre',
	'upnp:length'	=> '2:10:20',
	'desc'			=> 'myDesc',
	'upnp:class'	=> 'object.item.videoItem',
	'upnp:album_art'=> '',
	'res'			=> 'http://127.0.0.1/umsp/media/cube.avi',
	'duration'		=> 'myDur3',				#Attribute of res
	'size'			=> 'mySize3',				#Attribute of res in bytes
	'bitrate'		=> 'myBitr',				#Attribute of res
	'protocolInfo'	=> 'http-get:*:video/avi:*',		#Attribute of res
	'resolution'	=> 'myReso',				#Attribute of res
	'colorDepth'	=> 'myColor',				#Attribute of res
);
#------------------------------

?>