<?php

function _pluginMain($prmQuery) {
	$queryData = array();
	parse_str($prmQuery, $queryData);
	if ($queryData['station_id'] !='') {
		$items = _pluginCreateStreamList($queryData['station_id']);
		return $items;
	} elseif ($queryData['genre'] !='') {
		$items = _pluginCreateStationList($queryData['genre']);
		return $items;
	} else {
		$items = _pluginCreateGenreList();
		return $items;
	} # end if
} # end function


function _pluginCreateGenreList() {
	$reader = new XMLReader();
	$genrelistXML = file_get_contents('http://yp.shoutcast.com/sbin/newxml.phtml');
	$reader->XML($genrelistXML);
	while ($reader->read()) {
		if ($reader->nodeType == XMLReader::ELEMENT) {
			if ($reader->localName == 'genre') {
				$genreName = $reader->getAttribute('name');
				$data = array(
					'genre' 	=> $genreName,
				);
				$dataString = http_build_query($data, 'pluginvar_');
				$retMediaItems[] = array (
					'id' 		=> 'umsp://plugins/shoutcast?' . $dataString,
					'dc:title' 	=> $reader->getAttribute('name'),
					'upnp:class'=> 'object.container',
				);
			} # end if
		} # end if
	} #end while
	return $retMediaItems;
} # end function


function _pluginCreateStationList($prmGenre) {
	$reader = new XMLReader();
	$stationlistXML = file_get_contents('http://yp.shoutcast.com/sbin/newxml.phtml?genre=' . $prmGenre);
	$reader->XML($stationlistXML);
	while ($reader->read()) {
		if ($reader->nodeType == XMLReader::ELEMENT) {
			if ($reader->localName == 'station') {
				# For node value:
				# $reader->read();
				# if ($reader->nodeType == XMLReader::TEXT) {
				$data = array(
					'station_id' => $reader->getAttribute('id'),
				);
				$dataString = http_build_query($data, 'pluginvar_');
				$retMediaItems[] = array (
					'id' 			=> 'umsp://plugins/shoutcast?' . $dataString,
					'dc:title' 		=> $reader->getAttribute('name'),
					'upnp:class'	=> 'object.container',
				);
			} # end if
		} # end if
	} #end while
	return $retMediaItems;	
} # end function


function _pluginCreateStreamList($prmID) {
	$proxyUrl = 'http://127.0.0.1/umsp/plugins/shoutcast-proxy.php';
	$streamlistPLS = file_get_contents('http://yp.shoutcast.com/sbin/tunein-station.pls?id=' . $prmID);
#	$tmpData = parse_ini_string($streamlistXML, false, INI_SCANNER_RAW); # TODO: dont use until PHP5.3
	$tmpData = _my_parse_ini_string($streamlistPLS);
	foreach ($tmpData as $key => $val) {
		$tmpData[strtolower($key)] = $val;
	} # end foreach
	$plsData = $tmpData['playlist'];
	foreach ($plsData as $key => $val) {
		$plsData[strtolower($key)] = $val;
	} # end foreach
	$streamCount = $plsData['numberofentries'];
	for ($i = 1; $i <= $streamCount; $i++) {
		$data = array(
			'stream_url' => $plsData['file'. $i],
		);
	$dataString = http_build_query($data, 'var_');
	$encDataString = htmlentities($dataString);
		$retMediaItems[] = array (
			'id' 			=> 'umsp://plugins/shoutcast?stream=' . $i,
			'dc:title' 		=> $plsData['title'. $i],
			'res'			=> $proxyUrl.'?'. $encDataString,
			'upnp:class'	=> 'object.item.audioitem',
			'protocolInfo'  => 'http-get:*:audio/mpeg:*',
		);
	} # end for
	return $retMediaItems;
} # end function

?>
